import java.util.Random;
public class Die {
    //because all dice has the same SIDES count: 6
    public static final int SIDES = 6;

    //repersenting the roll value
    private int faceValue;

    //Random package is needed for generating the rolling values
    //only one instance is needed
    private Random rand;

    public Die() {
        faceValue = 1;
        rand = new Random();
    }

    public int roll() {
        //Random.nextInt(int bound) returns a int in [0, bound) 
        //then faceValue will get random int in 1,2,3,4,5,6
        
        //also can be done by
        //Math.random() * ((max - min) + 1)
        faceValue = rand.nextInt(SIDES) + 1;
        return faceValue;
    }

    //Accessor

    public int getFaceValue() {
        return faceValue;
    }

    public String toString() {
        return "Die with face value: " + faceValue;
    }

    //test
    public static void main(String[] args) {
        Die die1 = new Die();
        System.out.println(die1);
        System.out.println(die1.roll());
        System.out.println(die1.roll());
    }

}
